gi-gio-2.0.35: Gio bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | Safe-Inferred
Language | Haskell2010

GI.Gio.Structs.DBusPropertyInfo

Contents

- Exported types
- Methods
  - ref
  - unref
- Properties
  - annotations
  - flags
  - name
  - refCount
  - signature

Description

Information about a D-Bus property on a D-Bus interface.

Since: 2.26

Synopsis

- newtype DBusPropertyInfo = DBusPropertyInfo (ManagedPtr DBusPropertyInfo)
- newZeroDBusPropertyInfo :: MonadIO m => m DBusPropertyInfo
- dBusPropertyInfoRef :: (HasCallStack, MonadIO m) => DBusPropertyInfo -> m DBusPropertyInfo
- dBusPropertyInfoUnref :: (HasCallStack, MonadIO m) => DBusPropertyInfo -> m ()
- clearDBusPropertyInfoAnnotations :: MonadIO m => DBusPropertyInfo -> m ()
- getDBusPropertyInfoAnnotations :: MonadIO m => DBusPropertyInfo -> m (Maybe [DBusAnnotationInfo])
- setDBusPropertyInfoAnnotations :: MonadIO m => DBusPropertyInfo -> Ptr (Ptr DBusAnnotationInfo) -> m ()
- getDBusPropertyInfoFlags :: MonadIO m => DBusPropertyInfo -> m [DBusPropertyInfoFlags]
- setDBusPropertyInfoFlags :: MonadIO m => DBusPropertyInfo -> [DBusPropertyInfoFlags] -> m ()
- clearDBusPropertyInfoName :: MonadIO m => DBusPropertyInfo -> m ()
- getDBusPropertyInfoName :: MonadIO m => DBusPropertyInfo -> m (Maybe Text)
- setDBusPropertyInfoName :: MonadIO m => DBusPropertyInfo -> CString -> m ()
- getDBusPropertyInfoRefCount :: MonadIO m => DBusPropertyInfo -> m Int32
- setDBusPropertyInfoRefCount :: MonadIO m => DBusPropertyInfo -> Int32 -> m ()
- clearDBusPropertyInfoSignature :: MonadIO m => DBusPropertyInfo -> m ()
- getDBusPropertyInfoSignature :: MonadIO m => DBusPropertyInfo -> m (Maybe Text)
- setDBusPropertyInfoSignature :: MonadIO m => DBusPropertyInfo -> CString -> m ()

# Exported types

newtype DBusPropertyInfo Source #

Memory-managed wrapper type.

Constructors

DBusPropertyInfo (ManagedPtr DBusPropertyInfo) |

#### Instances

Instances details

Eq DBusPropertyInfo Source # |
Instance details Defined in GI.Gio.Structs.DBusPropertyInfo Methods (==) :: DBusPropertyInfo -> DBusPropertyInfo -> Bool Source # (/=) :: DBusPropertyInfo -> DBusPropertyInfo -> Bool Source #
GBoxed DBusPropertyInfo Source # |
Instance details Defined in GI.Gio.Structs.DBusPropertyInfo
ManagedPtrNewtype DBusPropertyInfo Source # |
Instance details Defined in GI.Gio.Structs.DBusPropertyInfo Methods toManagedPtr :: DBusPropertyInfo -> ManagedPtr DBusPropertyInfo Source #
TypedObject DBusPropertyInfo Source # |
Instance details Defined in GI.Gio.Structs.DBusPropertyInfo Methods glibType :: IO GType Source #
HasParentTypes DBusPropertyInfo Source # |
Instance details Defined in GI.Gio.Structs.DBusPropertyInfo
tag ~ 'AttrSet => Constructible DBusPropertyInfo tag Source # |
Instance details Defined in GI.Gio.Structs.DBusPropertyInfo Methods new :: MonadIO m => (ManagedPtr DBusPropertyInfo -> DBusPropertyInfo) -> [AttrOp DBusPropertyInfo tag] -> m DBusPropertyInfo Source #
IsGValue (Maybe DBusPropertyInfo) Source # | Convert `DBusPropertyInfo` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.Gio.Structs.DBusPropertyInfo Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe DBusPropertyInfo -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe DBusPropertyInfo) Source #
type ParentTypes DBusPropertyInfo Source # |
Instance details Defined in GI.Gio.Structs.DBusPropertyInfo type ParentTypes DBusPropertyInfo = '[] :: [Type]

newZeroDBusPropertyInfo :: MonadIO m => m DBusPropertyInfo Source #

Construct a `DBusPropertyInfo` struct initialized to zero.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

ref, unref.

#### Getters

None.

#### Setters

None.

## ref

dBusPropertyInfoRef Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> DBusPropertyInfo | `info`: A `DBusPropertyInfo`
-> m DBusPropertyInfo | Returns: The same `info`.

If `info` is statically allocated does nothing. Otherwise increases the reference count.

Since: 2.26

## unref

dBusPropertyInfoUnref Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> DBusPropertyInfo | `info`: A `DBusPropertyInfo`.
-> m () |

If `info` is statically allocated, does nothing. Otherwise decreases the reference count of `info`. When its reference count drops to 0, the memory used is freed.

Since: 2.26

# Properties

## annotations

A pointer to a `Nothing`-terminated array of pointers to `DBusAnnotationInfo` structures or `Nothing` if there are no annotations.

clearDBusPropertyInfoAnnotations :: MonadIO m => DBusPropertyInfo -> m () Source #

Set the value of the “`annotations`” field to `Nothing`. When overloading is enabled, this is equivalent to

    clear #annotations

getDBusPropertyInfoAnnotations :: MonadIO m => DBusPropertyInfo -> m (Maybe [DBusAnnotationInfo]) Source #

Get the value of the “`annotations`” field. When overloading is enabled, this is equivalent to

    get dBusPropertyInfo #annotations

setDBusPropertyInfoAnnotations :: MonadIO m => DBusPropertyInfo -> Ptr (Ptr DBusAnnotationInfo) -> m () Source #

Set the value of the “`annotations`” field. When overloading is enabled, this is equivalent to

    set dBusPropertyInfo [ #annotations := value ]

## flags

Access control flags for the property.

getDBusPropertyInfoFlags :: MonadIO m => DBusPropertyInfo -> m [DBusPropertyInfoFlags] Source #

Get the value of the “`flags`” field. When overloading is enabled, this is equivalent to

    get dBusPropertyInfo #flags

setDBusPropertyInfoFlags :: MonadIO m => DBusPropertyInfo -> [DBusPropertyInfoFlags] -> m () Source #

Set the value of the “`flags`” field. When overloading is enabled, this is equivalent to

    set dBusPropertyInfo [ #flags := value ]

## name

The name of the D-Bus property, e.g. "SupportedFilesystems".

clearDBusPropertyInfoName :: MonadIO m => DBusPropertyInfo -> m () Source #

Set the value of the “`name`” field to `Nothing`. When overloading is enabled, this is equivalent to

    clear #name

getDBusPropertyInfoName :: MonadIO m => DBusPropertyInfo -> m (Maybe Text) Source #

Get the value of the “`name`” field. When overloading is enabled, this is equivalent to

    get dBusPropertyInfo #name

setDBusPropertyInfoName :: MonadIO m => DBusPropertyInfo -> CString -> m () Source #

Set the value of the “`name`” field. When overloading is enabled, this is equivalent to

    set dBusPropertyInfo [ #name := value ]

## refCount

The reference count or -1 if statically allocated.

getDBusPropertyInfoRefCount :: MonadIO m => DBusPropertyInfo -> m Int32 Source #

Get the value of the “`ref_count`” field. When overloading is enabled, this is equivalent to

    get dBusPropertyInfo #refCount

setDBusPropertyInfoRefCount :: MonadIO m => DBusPropertyInfo -> Int32 -> m () Source #

Set the value of the “`ref_count`” field. When overloading is enabled, this is equivalent to

    set dBusPropertyInfo [ #refCount := value ]

## signature

The D-Bus signature of the property (a single complete type).

clearDBusPropertyInfoSignature :: MonadIO m => DBusPropertyInfo -> m () Source #

Set the value of the “`signature`” field to `Nothing`. When overloading is enabled, this is equivalent to

    clear #signature

getDBusPropertyInfoSignature :: MonadIO m => DBusPropertyInfo -> m (Maybe Text) Source #

Get the value of the “`signature`” field. When overloading is enabled, this is equivalent to

    get dBusPropertyInfo #signature

setDBusPropertyInfoSignature :: MonadIO m => DBusPropertyInfo -> CString -> m () Source #

Set the value of the “`signature`” field. When overloading is enabled, this is equivalent to

    set dBusPropertyInfo [ #signature := value ]